// Update using:
//  tail -n+2 `bg-data -q tcgi cancertypes 1.0` | awk -F'\t' '{print("\""$1"\": \""$3"\", ")}'
// tcgi/cancertypes/1.0-20171019
var TUMORS = {
"AA": "Adrenal adenoma",
"ABC": "Aneurysmal bone cyst",
"AC": "Adrenal cortex",
"ACA": "Adrenal cortex adenoma",
"ACC": "Adrenal cortex carcinoma",
"ACML": "Atypical chronic myeloid leukemia",
"AEL": "Acute erythroid leukemia",
"AG": "Adrenal gland",
"ALCL": "Anaplastic large cell lymphoma",
"ALL": "Acute lymphoblastic leukemia",
"ALM": "Acral lentigious melanoma",
"AML": "Acute myeloid leukemia",
"AML-PR": "Acute myeloid leukemia predisposition",
"APML": "Acute promyelocytic leukemia",
"AS": "Angiosarcoma",
"B": "Brain",
"BCC": "Basal cell carcinoma",
"BCL": "B cell lymphoma",
"BLCA": "Bladder",
"BLTC": "Bladder transitional cell",
"BLY": "Burkitt lymphoma",
"BRCA": "Breast adenocarcinoma",
"BRCA-PR": "Brest predisposition",
"BRCAL": "Breast lobular",
"BRCADC": "Breast ductal",
"BRCAMDLC": "Breast mixed ductal and lobular",
"BT": "Billiary tract",
"CANCER": "Any cancer type",
"CANCER-PR": "Cancer predisposition",
"CCS": "Clear cell sarcoma",
"CER": "Cervix",
"CESC": "Cervix squamous cell",
"CH": "Cholangiocarcinoma",
"IHCH": "Intrahepatic cholangiocarcinoma",
"CLL": "Chronic lymphocytic leukemia",
"CM": "Cutaneous melanoma",
"CM-PR": "Cutaneous melanoma predisposition",
"CML": "Chronic myeloid leukemia",
"CMP": "Chronic myeloproliferitve neoplasm",
"CNL": "Chronic neutrophilic leukemia",
"CNS": "Central nervous system",
"CNSLY": "Central nervous system lymphoma",
"COC": "Colon carcinoma",
"COC-PR": "Colon carcinoma predisposition",
"COCA": "Colon adenocarcinoma",
"COREAD": "Colorectal adenocarcinoma",
"COREAD-PR": "Colorectal adenocarcinoma predisposition",
"READ": "Rectal adenocarcinoma",
"CS": "Chondrosarcoma",
"CTCL": "Cutaneous T-cell lymphoma",
"DEST": "Desmoid tumor",
"DFS": "Dermatofibrosarcoma",
"DLBCL": "Difuse large B Cell lymphoma",
"DNT": "Dysembryoplastic neuroepithelial tumour",
"DS": "Digestive system",
"DSRCT": "Desmoplastic small round cell tumor",
"DT": "Digestive tract",
"DT-PR": "Digestive tract predisposition",
"ECL": "Eosinophilic chronic leukemia",
"ED": "Endometrium",
"EDA": "Endometrial adenocarcinoma",
"EDS": "Endometrial stromal",
"EOS": "Eosinophilia",
"ES": "Endocrine System",
"ESCA": "Esophagous",
"ESA": "Esophagous adenocarcinoma",
"ESSC": "Esophagous squamous cell",
"EWS": "Ewing sarcoma",
"EY": "Eye",
"FAP": "Familial adeno poliposis",
"FGCT": "Female germ cell tumor",
"FH": "Fibrous histiocytoma",
"FIBS": "Fibrosarcoma",
"FIBS-PR": "Fibrosarcoma predisposition",
"FL": "Follicular lymphoma",
"FRS": "Female reproductory system",
"G": "Glioma",
"GB": "Glioblastoma",
"GBM": "Glioblastoma multiforme",
"GCA": "Giant cell astrocytoma",
"GEJA": "Gastroesophageal junction adenocarcinoma",
"GIST": "Gastrointestinal stromal",
"GIST-PR": "Gastrointestinal stromal predisposition",
"H": "Hepatic",
"HA": "Hepatic adenoma",
"HB": "Hepatic blastoma",
"HC": "Hepatic carcinoma",
"HC-PR": "Hepatic carcinoma predisposition",
"HCL": "Hairy-Cell leukemia",
"HEMATO": "Hematologic malignancies",
"HEMATO-PR": "Hematologic malignancies predisposition",
"HES": "Hyper eosinophilic advanced snydrome",
"HGP": "Hemangiopericytoma",
"HIS": "Histiocytoma",
"HISEC": "Erdheim-Chester histiocytosis",
"HISLC": "Lagerhans cell histiocytosis",
"HLY": "Hodking lymhpoma",
"HNC": "Head an neck",
"HNSC": "Head an neck squamous",
"IM": "Inflammatory myofibroblastic",
"L": "Lung",
"LAM": "Lymphangioleiomyomatosis",
"LBCL": "Large B-Cell lymphoma",
"LEIS": "Leiomyosarcoma",
"LEY": "Leydig cell adenoma",
"LGG": "Lower grade glioma",
"LGLK": "Large granular leukemia",
"LIP": "Liposarcoma",
"DLIP": "Dedifferentiated liposarcoma",
"LK": "Leukemia",
"LL": "Lymphoblastic leukemia",
"LPL": "Lymphoblastic lymphoma",
"LUAD": "Lung adenocarcinoma",
"LUSC": "Lung squamous cell",
"LVB": "Liver & billiary tract",
"LY": "Lymphoma",
"MA": "Malignant astrocytoma",
"MALT": "MALT lymphoma",
"MAS": "Mastocytosis",
"MB": "Medulloblastoma",
"MCL": "Mantle cell lymphoma",
"MCLK": "Mast cell leukemia",
"MDPS": "Myelodisplasic proliferative syndrome",
"MDS": "Myelodisplasic syndrome",
"MEN": "Meningioma",
"MERC": "Merkel cell carcinoma",
"MESO": "Mesothelioma",
"PLMESO": "Pleural mesothelioma",
"MFH": "Myxoidfibrosarcoma",
"MGCT": "Male germ cell tumor",
"MKB": "Megakaryoblastic leukemia",
"MM": "Multiple myeloma",
"MML": "Myelomonocyitic leukemia",
"MPN": "Malignant peripheral nerve sheat tumor",
"MRS": "Male reproductory system",
"MRT": "Malignant rhabdoid tumor",
"MRT-PR": "Malignant rhabdoid tumor predisposition",
"MSKV": "Musculoskeletal & vascular systems",
"MUCLY": "Mucosa-associated lymphoma",
"MUCM": "Mucosal melanoma",
"MY": "Myelofibrosis",
"MYEP": "Myoepithelioma",
"MYMA": "Myeloma",
"MYX": "Myxoma",
"NB": "Neuroblastoma",
"NEU": "Neuroendocrine",
"NF": "Neurofibroma",
"NHLY": "Non-hodking lymphoma",
"NMC": "NUT midline carcinoma",
"NS": "Nervous system",
"NSCLC": "Non-small cell lung",
"NSMGCT": "Non-seminomatous germ cell tumor",
"NSPH": "Nasopharyngeal",
"OC": "Oral cavity",
"OCSC": "Oral cavity squamous cell",
"OPH": "Ororpharynx squamous cell",
"OS": "Osteosarcoma",
"OV": "Ovary",
"OV-PR": "Ovary predisposition",
"OVCC": "Ovary clear cell",
"OVE": "Ovary epithelial cell",
"OVG": "Ovary granulosa cell",
"OVRT": "Ovary rhabdoid tumor",
"OVSC": "Ovary small cell",
"OVSE": "Ovary serous",
"PA": "Pancreas",
"PAAC": "Pancreas acinar",
"PAAD": "Pancreas adenocarcinoma",
"PAIS": "Pancreas neuroendocrine",
"PAMP": "Periampullary adenoma",
"PARG": "Paraganglioma",
"PATH": "Parathyroid adenoma",
"PCPG": "Pheochromocytoma and paraganglioma",
"PEC": "Perivascular epithelioid cell",
"PG": "Pediatric glioma",
"PHEO": "Pheochromocytoma",
"PIA": "Pilocityc astrocytoma",
"APA": "Anaplastic astrocytoma",
"AG": "Anaplastic oligodendroglioma",
"PIGA": "Pituitary gland adenoma",
"PL": "Pleura",
"PLEN": "Plexiform neurofibroma",
"PNS": "Peripheral nervous system",
"PPB": "Pleuropulmonary blastoma",
"PRAD": "Prostate adenocarcinoma",
"PTCL": "Perypheral T-cell lymphoma",
"NKTL": "Extranodal natural killer/T-cell lymphoma",
"PV": "Polycitemia vera",
"R": "Renal",
"R-PR": "Renal predisposition",
"RA": "Renal angiomyolipoma",
"RB": "Retinoblastoma",
"RCCC": "Renal clear cell",
"RCH": "Renal chromophobe cell",
"REC": "Rectal carcinoma",
"RHBDS": "Rhabdomyosarcoma",
"RPC": "Renal papillary cell",
"S": "Sarcoma",
"SCC": "Squamous cell carcinoma",
"SCC-PR": "Squamous cell carcinoma predisposition",
"SCGS": "Sex-cord gonadal stromal",
"SCHW": "Schwannoma",
"SCLC": "Small cell lung",
"SG": "Salivary glands",
"SGA": "Salivary glands adenoma",
"SGM": "Salivary glands mucoepidermoid",
"ADCC": "Adenoid cystic carcinoma",
"SIN": "Small intestine",
"SINNE": "Small intestine neuroendocrine",
"SK": "Skin",
"SK-PR": "Skin predisposition",
"SLL": "Small lymphocytic lymphoma",
"SM": "Systemic mastocytosis",
"SMGCT": "Seminomatous germ cell tumor",
"MMGCT": "Mixed germ cell tumor",
"SOLID": "Solid tumors",
"SOLID-PR": "Solid tumors predisposition",
"SS": "Sensory system",
"ST": "Stomach",
"ST-PR": "Stomach predisposition",
"STAD": "Stomach adenocarcinoma",
"STS": "Soft tissue sarcoma",
"SYNS": "Synovial sarcoma",
"T": "Testis",
"TCALL": "T-cell acute lymphoblastic leukemia",
"TCPL": "T-cell prolymphocytic leukemia",
"TER": "Teratoma",
"TH": "Thyroid",
"THA": "Thyroid adenoma",
"THCA": "Thyroid carcinoma",
"THF": "Thyroid follicular",
"THM": "Thyroid medullary",
"THP": "Thyroid papillary",
"THYM": "Thymic",
"TOSC": "Tongue squamous cell",
"TX": "Torax",
"U": "Uterus",
"UCEC": "Uterine corpus endometroid carcinoma",
"UCS": "Uterine carcinosarcoma",
"ULMS": "Uterine leiomyosarcoma",
"US": "Urinary system",
"UTC": "Urinary tract carcinoma",
"UTH": "Urothelial",
"UTUC": "Upper tract urothelial carcinoma",
"UVM": "Uveal melanoma",
"WM": "Waldenström macroglobulinemia",
"WT": "Wilms tumor",
"BENIGN": "BENIGN"
};
